# VIC Model Open Source Philosophy

VIC is Open Source software.  We have licensed the source code with the [MIT license](https://opensource.org/licenses/MIT).  This license provides very few restrictions on use.

Our rationale for moving the VIC model development to the open source community is that we want:
- to encourage other researchers and developers to contribute to the VIC development,  and
- to facilitate transparent development and use of the model

## Support

There is **no official support** for the VIC model.

While you are more than welcome to use VIC in your own research endeavors, the model code comes with ***no guarantees, expressed or implied, as to suitability, completeness, accuracy, and whatever other claim you would like to make***. In addition, the model has no graphical user interface, nor does it include a large set of analysis tools, since most people want to use their own set of tools.

While we would like to hear about your particular application (especially a copy of any published paper), we cannot give you individual support in setting up and running the model. The VIC website includes reasonably complete instructions on how to run the model, as well as the opportunity to sign up for the VIC Users Email List.

The [VIC listserve](https://mailman.u.washington.edu/mailman/listinfo/vic_users) should be used for questions about model setup and application. It is basically VIC users helping other VIC users.

All other exchanges about VIC source code are managed through the [VIC github page](https://github.com/UW-Hydro/VIC).

We expected that the user comes prepared with some understanding of the model and scientific computing.  As such, these items are specifically not supported by the VIC development community:

- Building and running the VIC model on platforms other than LINUX, UNIX, and OSX.
- Using LINUX, UNIX, or OSX operating systems.
- Development of project specific features.
- Configuring individual model applications.
