# VIC Model References

### Primary Historical Reference

Liang, X., D. P. Lettenmaier, E. F. Wood, and S. J. Burges (1994), A simple hydrologically based model of land surface water and energy fluxes for general circulation models, _J. Geophys. Res._, **99**(D7), 14415–14428, [doi:10.1029/94JD00483](http://dx.doi.org/10.1029/94JD00483).

### Primary Reference for VIC-5

Hamman, J. J., Nijssen, B., Bohn, T. J., Gergel, D. R., and Mao, Y.: The Variable Infiltration Capacity model version 5 (VIC-5): infrastructure improvements for new applications and reproducibility, _Geosci. Model Dev._, *11*, 3481-3496, https://doi.org/10.5194/gmd-11-3481-2018, 2018.

### Other Historical References

Adam, J.C., and D.P. Lettenmaier, 2008: Application of new precipitation and reconstructed streamflow products to streamflow trend attribution in Northern Eurasia, _J. Climate_, **21**(8), 1807-1828.

Andreadis, K., P. Storck, and D. P. Lettenmaier, 2009: Modeling snow accumulation and ablation processes in forested environments, _Water Resour. Res._, **45**, W05429, [doi:10.1029/2008WR007042](http://dx.doi.org/10.1029/2008WR007042).

Bohn, T. J., B. Livneh, J. W. Oyler, S. W. Running, B. Nijssen, and D. P. Lettenmaier, 2013a: Global evaluation of MTCLIM and related algorithms for forcing of ecological and hydrological models, _Agr. Forest. Meteorol._, **176**, 38-49, [doi:10.1016/j.agrformet.2013.03.003](http://dx.doi.org/10.1016/j.agrformet.2013.03.003).

Bohn, T. J., E. Podest, R. Schroeder, N. Pinto, K. C. McDonald, M. Glagolev, I. Filippov, S. Maksyutov, M. Heimann, X. Chen, and D. P. Lettenmaier, 2013b: Modeling the effects of surface moisture heterogeneity on wetland carbon fluxes in the West Siberian Lowland, _Biogeosciences_, **10**, 6559-6576, [doi:10.5194/bg-10-6559-2013](http://dx.doi.org/10.5194/bg-10-6559-2013).

Bohn, T. J., and E. R. Vivoni, 2016: Process-based characterization of evapotranspiration sources in the North American monsoon region, _Water Resour. Res._, **52**(1), 358-384, [doi:10.1002/2015WR017934](http://dx.doi.org/10.1002/2015WR017934).

Bowling, L. C., J. W. Pomeroy and D. P. Lettenmaier, 2004: Parameterization of blowing snow sublimation in a macroscale hydrology model, _J. Hydromet._, **5**(5), 745-762, [doi:10.1175/1525-7541](http://dx.doi.org/10.1175/1525-7541).

Bowling, L.C. and D.P. Lettenmaier, 2010: Modeling the effects of lakes and wetlands on the water balance of Arctic Environments, _J. Hydromet._, **11**, 276-295, [doi:10.1175/2009JHM1084.1](http://dx.doi.org/10.1175/2009JHM1084.1).

Cherkauer, K. A. and D. P. Lettenmaier, 1999: Hydrologic effects of frozen soils in the upper Mississippi River basin, _J. Geophys. Res._, **104**(D16), 19,599-19,610.

Cherkauer, K. A., L. C. Bowling, and D. P. Lettenmaier, 2003: Variable infiltration capacity cold land process model updates, _Global and Planetary Change_, **38**, 151-159.

Gao, H., Q. Tang, X. Shi, C. Zhu, T. J. Bohn, F. Su, J. Sheffield, M. Pan, D. P. Lettenmaier, and E. F. Wood, 2010: [Water Budget Record from Variable Infiltration Capacity (VIC) Model](http://www.hydro.washington.edu/SurfaceWaterGroup/Publications/Water_Cycle_MEaSUREs_ATBD_VICmodel_submit.doc). In _Algorithm Theoretical Basis Document for Terrestrial Water Cycle Data Records_ (unpublished).

Hamman, J., B. Nijssen, M. Brunke, J. Cassano, A. Craig, A. DuVivier, M. Hughes, D.P. Lettenmaier, W. Maslowski, R. Osinski, A. Roberts, and X. Zeng, 2016: Land surface climate in the Regional Arctic System Model. _Journal of Climate_, [doi:10.1175/JCLI-D-15-0415.1](http://dx.doi.org/10.1175/JCLI-D-15-0415.1).

Liang, X., 1994: A Two-Layer Variable Infiltration Capacity Land Surface Representation for General Circulation Models, _Water Resour. Series_, **TR140**, 208 pp., Univ. of Washington, Seattle.

Liang, X., D. P. Lettenmaier, E. F. Wood, 1996: One-dimensional Statistical Dynamic Representation of Subgrid Spatial Variability of Precipitation in the Two-Layer Variable Infiltration Capacity Model, _J. Geophys. Res._, **101**(D16) 21,403-21,422.

Liang, X., E. F. Wood, and D. P. Lettenmaier, 1996: Surface soil moisture parameterization of the VIC-2L model: Evaluation and modifications, _Global and Planetary Change_, **13**, 195-206.

Liang, X., E. F. Wood, and D. P. Lettenmaier, 1999: Modeling ground heat flux in land surface parameterization schemes, _J. Geophys. Res._, **104**(D8), 9581-9600.

Liang, X., and Z. Xie, 2001: A new surface runoff parameterization with subgrid-scale soil heterogeneity for land surface models, _Advances in Water Resources_, **24**(9-10), 1173-1193.

## Streamflow Routing Model References

### Primary Historical Reference

Lohmann, D., R. Nolte-Holube, and E. Raschke, 1996: A large-scale horizontal routing model to be coupled to land surface parametrization schemes, _Tellus_, **48**(A), 708-721.

Lohmann, D., E. Raschke, B. Nijssen and D. P. Lettenmaier, 1998: Regional scale hydrology: I. Formulation of the VIC-2L model coupled to a routing model, _Hydrol. Sci. J._, **43**(1), 131-141.

### Other Historical References

Lohmann, D., E. Raschke, B. Nijssen, and D. P. Lettenmaier, 1998: Regional Scale Hydrology: II. Application of the VIC-2L Model to the Weser River, Germany, _Hydrological Sciences Journal_, **43**(1), 143-157.

Nijssen, B.N., D.P. Lettenmaier, X. Liang, S.W. Wetzel, and E.F. Wood, 1997: Streamflow simulation for continental-scale river basins, _Water Resour. Res._, **33**(4), 711-724.

## Selected Application References

Abdulla, F.A., D.P. Lettenmaier, E.F. Wood and J.A. Smith, 1996: Application of a macroscale hydrologic model to estimate the water balance of the Arkansas-Red river basin, _J. Geophys. Res._, **101**(D3), 7449-7459.

Adam, J.C. and D.P. Lettenmaier, 2003: Adjustment of global gridded precipitation for systematic bias, _J. Geophys. Res._, **108**(D9), 1-14, doi:10.1029/2002JD002499.

Adam, J.C., E.A. Clark, D.P. Lettenmaier, and E.F. Wood, 2006: Correction of Global Precipitation Products for Orographic Effects, _J. Clim._, **19**(1), 15-38, doi: 10.1175/JCLI3604.1.

Beyene, T., D.P. Lettenmaier, and P. Kabat, 2009: Hydrologic impacts of climate change on the Nile River basin: Implications of the 2007 IPCC climate scenarios, Climatic Change, online first, [doi:10.1007/s10584-009-9693-0](http://dx.doi.org/10.1007/s10584-009-9693-0).

Cuo, L., D.P. Lettenmaier D.P., M. Alberti, and J.E. Richey, 2009: Effects of a century of land cover and climate change on the hydrology of Puget Sound basin, Hydrological Processes, 23, 907-933.

Gao, H., T. J. Bohn, E. Podest, K. C. McDonald, and D. P. Lettenmaier, 2011: On the causes of the shrinking of Lake Chad, _Env. Res. Lett._, **6**, 034021, [doi:10.1088/1748-9326/6/3/034021](http://dx.doi.org/10.1088/1748-9326/6/3/034021).

Haddeland, I., D.P. Lettenmaier, and T. Skaugen, 2006a: Reconciling simulated moisture fluxes resulting from alternate hydrologic model time steps and energy budget closure assumptions, _J. Hydromet._, **7**(3), 355-370, [doi:10.1175/JHM496.1](http://dx.doi.org/10.1175/JHM496.1).

Haddeland, I., D.P. Lettenmaier, and T. Skaugen, 2006b: Effects of irrigation on the water and energy balances of the Colorado and Mekong river basins, _J. Hydrol._, **324**(1-4), 210-223, [doi:10.1016/j.jhydrol.2005.09.028](http://dx.doi.org/10.1016/j.jhydrol.2005.09.028).

Hamlet, A.F. and D.P. Lettenmaier, 1999: Effects of Climate Change on Hydrology and Water Resources in the Columbia River Basin, _Am. Water Res. Assoc._, **35**(6), 1597-1623.

Hamlet, A.F. and D.P. Lettenmaier, 1999: Columbia River Streamflow Forecasting Based on ENSO and PDO Climate Signals, _ASCE J. of Water Res. Planning and Mgmt._, **125**(6), 333-341.

Hamlet, A.F. and D.P. Lettenmaier, 2000: Long-Range Climate Forecasting and its Use for Water Management in the Pacific Northwest Region of North America,_J. Hydroinformatics_, **02.3**, 163-182.

Leung, L.R., A.F. Hamlet, D.P. Lettenmaier and A. Kumar, 1999: Simulations of the ENSO Hydroclimate Signals in the Pacific Northwest Columbia River Basin, _Bull. Am. Met. Soc._, **80**(11), 2313-2329.

Liang, X., E. F. Wood, D. Lohmann, D.P. Lettenmaier, and others, 1998: The Project for Intercomparison of Land-surface Parameterization Schemes (PILPS) Phase-2c Red-Arkansas River Basin Experiment: 2. Spatial and Temporal Analysis of Energy Fluxes,_ J. Global and Planetary Change_, **19**, 137-159.

Livneh B, E.A. Rosenberg, C. Lin, B. Nijssen, V. Mishra, K. Andreadis, E.P. Maurer, and D.P. Lettenmaier, 2013: A long-term hydrologically based data set of land surface fluxes and states for the conterminous United States: Updates and extensions, _Journal of Climate_, [doi:10.1175/JCLI-D-12-00508.1](http://dx.doi.org/10.1175/JCLI-D-12-00508.1).

Lohmann, D. E. Raschke, B. Nijssen and D.P. Lettenmaier, 1998: Regional scale hydrology: II. Application of the VIC-2L model to the Weser river, Germany, _Hydrol. Sci. J._, **43**(1), 143-158.

Mattheussen, B., R.L. Kirschbaum, I.A. Goodman, G.M. O'Donnell and D.P. Lettenmaier, 2000: Effects of land cover change on streamflow in the interior Columbia river basin (USA and Canada), _Hydrol. Process._, **14**, 867-885.

Maurer, E.P., G.M. O'Donnell, D.P. Lettenmaier, and J.O. Roads, 2001: Evaluation of the Land Surface Water Budget in NCEP/NCAR and NCEP/DOE Reanalyses using an Off-line Hydrologic Model. _J. Geophys. Res._, **106**(D16), 17,841-17,862.

Maurer, E.P., G.M. O'Donnell, D.P. Lettenmaier, and J.O. Roads, 2001: Evaluation of NCEP/NCAR Reanalysis Water and Energy Budgets using Macroscale Hydrologic Simulations, In: _Land Surface Hydrology, Meteorology, and Climate: Observations and Modeling, AGU series in Water Science and Applications_, V. Lakshmi, J. Albertson, and J. Schaake eds.,pp. 137-158.

Mishra, V., K. A. Cherkauer, and L. C. Bowling, 2010: Parameterization of Lakes and Wetlands for Energy and Water Balance Studies in the Great Lakes Region, J. Hydromet., 11(5), 1057-1082.

Munoz-Arriola, F., R. Avissar, C. Zhu, and D.P. Lettenmaier, 2009: Sensitivity of the Water resources of Rio Yaqui Basin, Mexico to agriculture extensification under multi-scale climate conditions, Water Resour. Res. 45, W00A20, doi:10.1029/2007WR006783.

Nijssen, B.N., D.P. Lettenmaier, X. Liang, S.W. Wetzel, and E.F. Wood, 1997: Streamflow simulation for continental-scale river basins, _Water Resour. Res._, **33**(4), 711-724.

Nijssen, B.N., R. Schnur and D.P. Lettenmaier, 2001: Global retrospective estimation of soil moisture using the Variable Infiltration Capacity land surface model, 1980-1993, _J. Clim._, **14**(8), 1790-1808, [doi:10.1175/1520-0442(2001)014<1790:GREOSM>2.0.CO;2](http://dx.doi.org/10.1175/1520-0442(2001)014<1790:GREOSM>2.0.CO;2).

Nijssen, B.N., G.M. O'Donnell, D.P. Lettenmaier and E.F. Wood, 2001: Predicting the discharge of global rivers, _J. Clim._, **14**(15), 3307-3323, [doi:10.1175/1520-0442(2001)014<3307:PTDOGR>2.0.CO;2](http://dx.doi.org/10.1175/1520-0442(2001)014<3307:PTDOGR>2.0.CO;2).

Nijssen, B.N., G.M. O'Donnell, A.F. Hamlet, and D.P. Lettenmaier, 2001: Hydrologic sensitivity of global rivers to climate change, _Climatic Change_, **50**(1-2), 143-175, [doi:10.1023/A:1010616428763](http://dx.doi.org/10.1023/A:1010616428763).

Shi, X., M. Wild, and D. P. Lettenmaier, 2010: Surface radiative fluxes over the pan-Arctic land region: Variability and trends.  J. Geophys. Res., 115, D22104, [doi:10.1029/2010JD014402](http://dx.doi.org/10.1029/2010JD014402).

Shukla, S., A. C. Steinemann, and D. P. Lettenmaier, 2010: Drought Monitoring for Washington State: Indicators and Applications, Journal of Hydrometeorology, EOR, [doi:10.1175/2010JHM1307.1](http://dx.doi.org/10.1175/2010JHM1307.1).

Tang, Q., H. Gao, P. Yeh, T. Oki, F. Su, and D.P. Lettenmaier, 2010: Dynamics of terrestrial water storage change from satellite and surface observations and modeling, Journal of Hydrometeorology 11, 156-170. [doi:10.1175/2009JHM1152.1](http://dx.doi.org/10.1175/2009JHM1152.1).

Wood, E. F., Lettenmaier, D., Liang, X., Nijssen, B., & Wetzel, S. W. (1997). Hydrological modeling of continental-scale basins. _Annual Review of Earth and Planetary Sciences_, 25(1), 279-300.

## Other References

Bras, R. F., 1990: Hydrology, an introduction to hydrologic science, Addison-Wesley.

Brooks, R., and R. Corey, 1964: Hydraulic properties of porous media, Colorado State University, Fort Collins, CO, USA, 37 pp.

Farouki, O. T., 1981: The thermal properties of soils in cold regions, _Cold Reg. Sci. Technol._, **5**(1), 67-75, [doi:10.1016/0165-232X(81)90041-0](http://dx.doi.org/10.1016/0165-232X(81)90041-0).

Francini, M., and M. Pacciani, 1991: Comparative analysis of several conceptual rainfall-runoff models, _J. Hydrol._, **122**, 161-219.

Hostetler, S. W., and P. J. Bartlein, 1990: Simulation of lake evaporation with application to modeling lake level variations of Harney-Malheur lake, Oregon, _Wat. Res. Resear._, **26**(10), 2603-2612.

Hostetler, S. W., 1991: Simulation of lake ice and its effect on the late-Pleistocene evaporation rate of Lake Lahontan, _Climate Dynamics_, **6**, 43-48.

Hostetler, S. W., Bartlein, P. J., Clark, P. U., Small, E. E., and A. M. Soloman, 2000: Simulated influences of Lake Agassiz on the climate of central North America 11,000 years ago, _Nature_, **405**(6784), 334-337.

Ying Fan, E. Wood, M.L. Baeck, and J. Smith. 1996. Fractional Coverage of Rainfall Over a Grid: Analyses of NEXRAD data over the southern Plains. Water Resour. Res., vol. 32, no. 9, pp. 2787-2802, September 1996

Yapo, P., H. Gupta, and S. Sorooshian, 1998: Multi-objective global optimization for hydrologic models, _J. Hydrology_, **204**(1), 83-97.
