# VIC Model User Guide

Running the VIC model may seem to be a formidable task, but approaching the task in steps will ease the process. In general, running VIC successfully involves preparation of different input files, downloading the source code, configuring output files, and entering a few commands. Once run, VIC output must be entered into a routing model in order to produce a hydrograph. A [sample data set for the Stehekin Basin](https://github.com/UW-Hydro/VIC_sample_data) is available as an example in the Sample Data Sets section of the [download page](../Datasets/Datasets.md).

## VIC Drivers

1.  [Classic Driver](./Drivers/Classic/ClassicDriver.md)
1.  [Image Driver](./Drivers/Image/ImageDriver.md)
1.  [CESM Driver](./Drivers/CESM/CESMDriver.md)
1.  [Python Driver](./Drivers/Python/PythonDriver.md)

## Best Practices

1.  [Model History and Metadata](best_practices.md)
1.  [Using git for version control](../Development/working-with-git.md)

## References

 - [References](References.md)
