# Frozen Soil Model

Frozen soils can affect hydrological processes.
Ice in the soil reduces the amount of precipitation and snow melt that can infiltrate the surface, a high enough ice content can make the soil nearly impermeable. Frozen soil also stores more soil moisture through the winter. Frozen soil moisture cannot drain, or be evaporated, so spring soil moisture contents will be significantly higher in regions with frozen soil, than in regions without them.

The frozen soil algorithm in VIC supersedes the original soil thermal flux equations ([Liang et al., 1999](../Documentation/References.md#primary-historical-reference)) in favor of a more explicit numerical technique([Cherkauer and Lettenmaier, 1999](../Documentation/References.md#primary-historical-reference)). Soil temperatures are solved for at several "thermal nodes" through the soil column. The number and location of which can be defined by the user.

Soil thermal and moisture fluxes are coupled processes. When soil temperatures fall below 0C, the soil water begins to freeze. Due to the pressures within the soil, and interactions with the soil particles, some fraction of the soil moisture can remain unfrozen even when soil temperatures are well below 0C. Ice does not drain from a layer, and it reduces the amount of new water that can infiltrate into the layer. Ice also changes the thermal properties of the soil. It has a higher thermal conductivity and a lower volumetric heat capacity than water, also when water freezes it releases latent heat which warms the surrounding soil.

VIC deals with this coupling in two stages. First the model solves the energy balance through the soil column. This involves solving the surface energy balance, since the surface energy balance includes the heat flux and heat storage from the thin top layer of soil. The surface temperature is solved iteratively to find the value at which it comes closest to closing the energy balance. At each step the heat fluxes at each soil thermal node are also computed. When an acceptable surface temperature is found, the resulting soil thermal node temperatures are used to determine the ice content in the soil layers. The soil layer ice and water contents at the end of the time step, are then used to estimate the soil thermal properties for the start of the next time step.
