# Variable Infiltration Capacity (VIC) Macroscale Hydrologic Model

[![VIC Users Listserve](https://img.shields.io/badge/VIC%20Users%20Listserve-Active-blue.svg)](https://mailman.u.washington.edu/mailman/listinfo/vic_users) [![Join the chat at https://gitter.im/UW-Hydro/VIC](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/UW-Hydro/VIC?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge) [![GitHub license](https://img.shields.io/badge/license-MIT-blue.svg)](https://raw.githubusercontent.com/UW-Hydro/VIC/master/LICENSE.txt) [![Documentation Status](https://readthedocs.org/projects/vic/badge/?version=latest)](http://vic.readthedocs.org/en/latest/)
[![DOI](https://zenodo.org/badge/7766/UW-Hydro/VIC.svg)](https://zenodo.org/badge/latestdoi/7766/UW-Hydro/VIC)

!!! note
    You are viewing the documentation for VIC version 5 (VIC-5). Relative to VIC-4, this version includes many infrastructure improvements. Those enhancements are described in [Hamman et al, 2018](https://doi.org/10.5194/gmd-11-3481-2018).

VIC ([Liang et al., 1994](Documentation/References.md)) is a macroscale hydrologic model that solves full water and energy balances, originally developed by Xu Liang at the University of Washington.  VIC is a research model and in its various forms it has been applied to most of the major river basins around the world, as well as [globally](links.md). The VIC model is distributed under the [MIT license](https://opensource.org/licenses/MIT). If you make use of this model, please acknowledge the appropriate references listed on the [references](Documentation/References.md) page. These should include [Liang et al., 1994](Documentation/References.md), [Hamman et al., 2018](Documentation/References.md) for VIC-5, and any references relevant to the features you are using, which are cited in the feature descriptions on the [Model Overview](Overview/ModelOverview.md) page.

Development and maintenance of the current official version of the VIC model is led by the [UW Hydro | Computational Hydrology group](http://uw-hydro.github.io/) in the [Department of Civil and Environmental Engineering](http://www.ce.washington.edu) at the [University of Washington](http://www.washington.edu). Every new application addresses new problems and conditions that the model may not currently be able to handle, and as such the model is always under development. The VIC model is an open source development project, which means that contributions are welcome, including to the VIC documentation.

All development activity is coordinated via the [VIC github page](https://github.com/UW-Hydro/VIC), where you can also find all archived, current, beta, and development versions of the model.

-----
